PRAGMA synchronous = OFF;
PRAGMA journal_mode = MEMORY;
BEGIN TRANSACTION;
INSERT INTO `mail_template` VALUES (1,'en','Nachhaken','Request on your account','Dear {name},

Thank you very much for your interest in TextGrid. 

As to guarantee a sustainable scientific quality standard of data stored in TextGrid, we would like to ask you for an institutional e-mail adress in order to register your account with an institutional affiliation. In case you are not affiliated to an academic institution for the time being, please provide us with a short description of the research project you plan to realise with TextGrid. This helps us to make sure the authentic scholarly interest of users. Thank you for your understanding. 

Please do not hesitate to contact us in case you have further questions!

Sincerely yours,
{sender}
on behalf of the TextGrid team
');
INSERT INTO `mail_template` VALUES (2,'de','Nachhaken','Nachfrage zu Ihrem TextGrid Account','Sehr geehrte/r {name},

vielen Dank für Ihr Interesse an TextGrid.

Um für die in TextGrid vorgehaltenen Daten auch weiterhin die etablierten wissenschaftlichen Qualitätsstandards zu gewährleisten, möchten wir Sie bitten, Ihren Account mit einer institutionellen E-Mail-Adresse einrichten zu können. Sollten Sie derzeit über keine institutionelle Anbindung verfügen, bitten wir Sie um eine kurze Beschreibung Ihres Forschungsvorhabens, das Sie mit TextGrid realisieren möchten. Dies ermöglicht uns, eine z.B. zweckentfremdete, nicht-wissenschaftliche Nutzung auszuschließen. 

Wir bitten um Ihr Verständnis. Für weitere Informationen oder Fragen Ihrerseits stehen wir gern zur Verfügung!

Mit freundlichen Grüßen
{sender}
im Namen des TextGrid-Teams
');
INSERT INTO `mail_template` VALUES (3,'de','Welcome','TextGrid Nutzerdaten','Sehr geehrte/r {name},

wir haben Ihnen einen Zugang für TextGrid erstellt. Ihre Nutzerdaten sind:

   Nutzername: {uid}
   Passwort: {password}

Sie können Ihr Passwort im TextGridLab über die Menüleiste unter Hilfe -> Authentifizierung ändern.

Eine Online-Dokumentation zur TextGrid-Architektur sowie zu den Tools und Features im Einzelnen finden Sie unter https://dev2.dariah.eu/wiki/display/TextGrid/Main+Page

Der von den beiden Forschungsverbünden TextGrid und DARIAH-DE initiierte Blog "Digital Humanities im deutschsprachigen Raum" (http://dhd-blog.org/) informiert außerdem über aktuelle Themen der Digital Humanities, über Veranstaltungen, Projekte und neue Entwicklungen.

Willkommen in der TextGrid Community!

Mit freundlichen Grüßen
{sender}
im Namen des TextGrid-Teams
');
INSERT INTO `mail_template` VALUES (4,'en','Welcome','TextGrid Account', 'Dear {name},

We have established a TextGrid account for you. You can now login to the TextGridLab with the following credentials:

   User name: {uid}
   Password: {password}

You can change your password in the TextGridLab in the menu bar via Help -> Authentication.

Please note the detailed online documentation of the TextGrid architecture as well as of its tools and services on https://dev2.dariah.eu/wiki/display/TextGrid/Main+Page

Moreover, the blog "Digital Humanities im deutschsprachigen Raum" (Digital Humanities in the German-speaking countries, http://dhd-blog.org/), initiated by the joint research projects TextGrid and DARIAH-DE, provides information on recent issues of the Digital Humanities, on events, projects, and new developments (in german).

Welcome to the TextGrid Community!

Sincerely yours,
{sender}
on behalf of the TextGrid team
');
INSERT INTO `mail_template` VALUES (5,'en','reg pending','TextGrid Account – Request Received','Thank you for your interest in TextGrid. Your request is being processed.

Since researchers in TextGrid work closely with one another and exchange research data, each request is manually approved. We appreciate your patience – accounts are usually activated within 1-2 working days. 

As soon as your account has been created, you will receive an email with your username and password.

Sincerely,
The TextGrid Team');
INSERT INTO `mail_template` VALUES (6,'de','reg pending','TextGrid Account - Anfrage eingegangen','Vielen Dank für Ihr Interesse an TextGrid. Ihre Anfrage wurde registriert.

Da im TextGridLab Wissenschaftler eng zusammenarbeiten und Forschungsdaten austauschen, wird jede Anfrage manuell geprüft. Wir bitten Sie daher um ein wenig Geduld – in der Regel wird der Account innerhalb von 1-2 Werktagen freigeschaltet.

Sobald Ihr Zugang erstellt ist, erhalten Sie eine E-Mail mit Ihrem Benutzernamen und Ihrem Passwort.

Mit freundlichen Grüßen,
das TextGrid Team');
END TRANSACTION;
