<?php
// #######################################################
// Author: Martin Haase / DAASI International GmbH
// Creation date: 02.12.2008
// Modification date: 07.05.2010
// Version: 1.0
// #######################################################

mb_internal_encoding("UTF-8");

$config = new DOMDocument();
$config->load('../../../config_tgwebauth.xml');
$xpath = new DOMXPath($config);
$xpath->registerNamespace("c", "http://textgrid.info/namespaces/middleware/tgwebauth");

$ldaphost = $xpath->query("/c:conf/c:authn[@type='community']/c:key[@name='host']")->item(0)->nodeValue;
$ldapport = $xpath->query("/c:conf/c:authn[@type='community']/c:key[@name='port']")->item(0)->nodeValue;
$binddn = $xpath->query("/c:conf/c:authn[@type='community']/c:key[@name='binddn']")->item(0)->nodeValue;
$basedn = $xpath->query("/c:conf/c:authn[@type='community']/c:key[@name='basedn']")->item(0)->nodeValue;
$filter = $xpath->query("/c:conf/c:authn[@type='community']/c:key[@name='filter']")->item(0)->nodeValue;
$IDattribute = $xpath->query("/c:conf/c:authn[@type='community']/c:key[@name='IDattribute']")->item(0)->nodeValue;
$LDAPname = $xpath->query("/c:conf/c:authn[@type='community']/c:key[@name='name']")->item(0)->nodeValue;


$authZinstance = $_REQUEST["authZinstance"];
$login = $_REQUEST["loginname"];
$password = $_REQUEST["password"];


// LDAP
$ldapconn = ldap_connect( $ldaphost, $ldapport ) 
          or die( "Cannot connect to {$ldaphost}!" );
ldap_set_option($ldapconn, LDAP_OPT_PROTOCOL_VERSION, 3);
#ldap_start_tls( $ldapconn );

$binddn = preg_replace ('/\${login}/', $login, $binddn);
$bound = ldap_bind($ldapconn, $binddn , $password);
if (!$bound) {
	?>
	<html><head><title>Test</title>
	</head><body>
	Authentication failed, wrong login and/or password. Go <a href="javascript:history.back()">back</a> to login page.
	</body></html>
	<?php
	exit;
} else {
	//echo "Could bind as user ${login}!";
     	$filter = preg_replace ('/\${login}/', $login, $filter);
	$result = ldap_search( $ldapconn, $basedn, $filter);
	$entry 	= ldap_first_entry( $ldapconn  , $result  );

	$attrs = ldap_get_attributes ($ldapconn , $entry);

	$TGID = $attrs[$IDattribute][0];

	$_SERVER["REMOTE_USER"] = $TGID;
	
	foreach (array("o", "sn", "givenName", "cn", "mail") as $a) {
	  if ( isset($attrs[$a])) {
	    $vals = array();
	    for ($i=0; $i<$attrs[$a]['count']; $i++) {
	       $vals[] = $attrs[$a][$i];
	    }
            $_SERVER[$a] =  implode (';', $vals);
	  }
	}

}

$_SERVER["Shib-Identity-Provider"] = $LDAPname;

include("TextGrid-WebAuth.php"); //assuming the request context remains

?>
